Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TFromTable

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNodeWithAliasClause
              gudusoft.gsqlparser.nodes.TFromTable

All Implemented Interfaces:
  Visitable

    public class TFromTable

extends TNodeWithAliasClause

Represents table source in from clause of select/delete statement, and update table clause of update statement.

Constructor Summary
`TFromTable()`

Method Summary
`TContainsTable` | `getContainsTable()`
`TDataChangeTable` | `getDatachangeTable()` DB2 data change
`ETableSource` | `getFromtableType()`
`TFunctionCall` | `getFuncCall()` a table-valued function, in SQL Server, Postgresql
`TJoinExpr` | `getJoinExpr()`
`TOpenDatasource` | `getOpenDatasource()`
`TOpenQuery` | `getOpenQuery()`
`TOpenRowSet` | `getOpenRowSet()`
`TOpenXML` | `getOpenXML()`
`TPivotClause` | `getPivotClause()`
`TRelationExpr` | `getRelationExpr()` Postgresql relation expr
`TMultiTargetList` | `getRowList()`
`TSelectSqlNode` | `getSubquerynode()`
`TExpression` | `getTableExpr()`
`TPTNodeList<TTableHint>` | `getTableHintList()`
`TObjectName` | `getTableObjectName()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setFlashback(TFlashback flashback)`
`void` | `setPivotClause(TPivotClause pivotClause)`
`void` | `setPxGranule(TPxGranule pxGranule)`
`void` | `setTableHintList(TPTNodeList<TTableHint> tableHintList)`
`void` | `setTableObjectName(TObjectName tableObjectName)`
`void` | `setTableonly(TSourceToken tableonly)`
`void` | `setTableSample(TTableSample tableSample)`

Methods inherited from class gudusoft.gsqlparser.nodes.TNodeWithAliasClause
`getAliasClause, setAliasClause, toString`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TFromTable

    public TFromTable()

Method Detail

### getTableObjectName

    public TObjectName getTableObjectName()

### getTableExpr

    public TExpression getTableExpr()

### setTableObjectName

    public void setTableObjectName(TObjectName tableObjectName)

### getOpenQuery

    public TOpenQuery getOpenQuery()

### setTableHintList

    public void setTableHintList(TPTNodeList<TTableHint> tableHintList)

### getTableHintList

    public TPTNodeList<TTableHint> getTableHintList()

### getSubquerynode

    public TSelectSqlNode getSubquerynode()

### getRowList

    public TMultiTargetList getRowList()

### getJoinExpr

    public TJoinExpr getJoinExpr()

### getFromtableType

    public ETableSource getFromtableType()

### getOpenDatasource

    public TOpenDatasource getOpenDatasource()

### getOpenRowSet

    public TOpenRowSet getOpenRowSet()

### getOpenXML

    public TOpenXML getOpenXML()

### getContainsTable

    public TContainsTable getContainsTable()

### setTableonly

    public void setTableonly(TSourceToken tableonly)

### setTableSample

    public void setTableSample(TTableSample tableSample)

### setPxGranule

    public void setPxGranule(TPxGranule pxGranule)

### setFlashback

    public void setFlashback(TFlashback flashback)

### getRelationExpr

    public TRelationExpr getRelationExpr()

  Postgresql relation expr

  Returns:

### getDatachangeTable

    public TDataChangeTable getDatachangeTable()

  DB2 data change

  Returns:

### setPivotClause

    public void setPivotClause(TPivotClause pivotClause)

### getPivotClause

    public TPivotClause getPivotClause()

### getFuncCall

    public TFunctionCall getFuncCall()

  a table-valued function, in SQL Server, Postgresql

  Returns:

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD